"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __name = (target, value) => __defProp(target, "name", { value, configurable: true });
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var createSpan_exports = {};
__export(createSpan_exports, {
  createSpan: () => createSpan
});
module.exports = __toCommonJS(createSpan_exports);
var import_api = require("@opentelemetry/api");
var import_sdk_trace_base = require("@opentelemetry/sdk-trace-base");
async function createSpan(engineSpanEvent) {
  await new Promise((res) => setTimeout(res, 0));
  const tracer = import_api.trace.getTracer("prisma");
  engineSpanEvent.spans.forEach((engineSpan) => {
    const spanContext = {
      traceId: engineSpan.trace_id,
      spanId: engineSpan.span_id,
      traceFlags: import_api.TraceFlags.SAMPLED
    };
    const links = engineSpan.links?.map((link) => {
      return {
        context: {
          traceId: link.trace_id,
          spanId: link.span_id,
          traceFlags: import_api.TraceFlags.SAMPLED
        }
      };
    });
    const span = new import_sdk_trace_base.Span(
      tracer,
      import_api.ROOT_CONTEXT,
      engineSpan.name,
      spanContext,
      import_api.SpanKind.INTERNAL,
      engineSpan.parent_span_id,
      links,
      engineSpan.start_time
    );
    if (engineSpan.attributes) {
      span.setAttributes(engineSpan.attributes);
    }
    span.end(engineSpan.end_time);
  });
}
__name(createSpan, "createSpan");
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  createSpan
});
