"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __name = (target, value) => __defProp(target, "name", { value, configurable: true });
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var runInChildSpan_exports = {};
__export(runInChildSpan_exports, {
  runInChildSpan: () => runInChildSpan
});
module.exports = __toCommonJS(runInChildSpan_exports);
var import_api = require("@opentelemetry/api");
const showAllTraces = process.env.PRISMA_SHOW_ALL_TRACES === "true";
async function runInChildSpan(options, cb) {
  if (options.enabled === false || options.internal && !showAllTraces) {
    return cb();
  }
  const tracer = import_api.trace.getTracer("prisma");
  const context = options.context ?? import_api.context.active();
  if (options.active === false) {
    const span = tracer.startSpan(`prisma:client:${options.name}`, options, context);
    try {
      return await cb(span, context);
    } finally {
      span.end();
    }
  }
  return tracer.startActiveSpan(`prisma:client:${options.name}`, options, context, async (span) => {
    try {
      return await cb(span, import_api.context.active());
    } finally {
      span.end();
    }
  });
}
__name(runInChildSpan, "runInChildSpan");
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  runInChildSpan
});
